# Generated from spotify-ruby-kev-0.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spotify-ruby-kev

Name: rubygem-%{gem_name}
Version: 0.2.5
Release: 1%{?dist}
Summary: The developer-friendly, opinionated Ruby SDK for Spotify
License: MIT
URL: https://github.com/kev737/spotify-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(climate_control) >= 0.2
# BuildRequires: rubygem(climate_control) < 1
# BuildRequires: rubygem(factory_bot) >= 5.0.0
# BuildRequires: rubygem(factory_bot) < 5.1
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-collection_matchers) >= 1.1
# BuildRequires: rubygem(rspec-collection_matchers) < 2
# BuildRequires: rubygem(rspec-collection_matchers) >= 1.1.2
# BuildRequires: rubygem(rubocop) >= 0.71.0
# BuildRequires: rubygem(rubocop) < 0.72
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(webmock) >= 3.6
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(yard-api)
BuildArch: noarch

%description
Build integrations with the different Spotify APIs inside of your application.
For more information, visit https://developer.spotify.com.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.rvm-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/COVERAGE.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spotify-ruby-kev.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.2.5-1
- Initial package
